/**
 *
 * Fa la connexió a la BBDD i inicialitza els servidors
 *
 */

require("dotenv").config();
const { dbConnection } = require("./database/config");

//Inicialitza
const init = async () => {
    try {
        await dbConnection();

        //PORT 20000
        const Server_Phones = require("./servers/server_phones");
        const server_phones = new Server_Phones();
        server_phones.listen();

        //PORT 5000
        // const Server_Teltonika = require("./servers/server_teltonika");
        // const server_teltonika = new Server_Teltonika();
        // server_teltonika.listen();

        //PORT 5443 
        const Server_Teltonika_SSL = require("./servers/server_teltonika_ssl");
        const server_teltonika_ssl = new Server_Teltonika_SSL();
        server_teltonika_ssl.listen();


    } catch (error) {
        console.error(error);
    }
};

init();
